﻿' Program:      Ch07.
' Programmer:   Anthony DePinto
' Date:         Fall 2013
' Description:  Direct reference of table elements.

Public Class ScoutsForm
    ' Declare module-level variables.
    Private TotalInteger(7) As Integer  ' Store sales totals for 8 groups.

    Private Sub OkButton_Click(ByVal sender As System.Object,
      ByVal e As System.EventArgs) Handles OkButton.Click
        ' Accumulate the sales by group number.
        Dim GroupNumberInteger As Integer
        Dim SaleInteger As Integer

        Try
            ' Convert input group number to subscript.
            GroupNumberInteger = Integer.Parse(GroupTextBox.Text) - 1
            If GroupNumberInteger >= 0 And GroupNumberInteger <= 7 Then
                ' Add sale to correct total.
                SaleInteger = Integer.Parse(SaleTextBox.Text)
                TotalInteger(GroupNumberInteger) += SaleInteger
            Else
                MessageBox.Show("Enter a valid group number (1-8)", "Data Entry Error",
                 MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            End If
        Catch
            MessageBox.Show("Numeric entries required for both group number and sales.",
             "Data Entry Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        End Try

        ' Clear the controls.
        With GroupTextBox
            .Clear()
            .Focus()
        End With
        SaleTextBox.Clear()
    End Sub

    Private Sub TotalsButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TotalsButton.Click
        ' Display the totals.
        Dim GroupString As String
        Dim MessageString As String = String.Empty
        Dim GroupInteger As Integer

        For GroupInteger = 0 To 7
            GroupString = "Group " & (GroupInteger + 1).ToString() &
              "= " & TotalInteger(GroupInteger).ToString("N") &
              Environment.NewLine
            MessageString += GroupString
        Next
        MessageBox.Show(MessageString, "Scout Raffle Sales Summary")
    End Sub
End Class
